#ifndef _chat
#define _chat

#include "scibuttn.h"

class sciText;

#define NUM_CHAT_LINES 5

class SendChatButton : public sciButton
	{
	public:
		SendChatButton();
		void DoLeftClick();
		Boolean HandleEvent(sciEvent &event);
		void AddAChatLine(char *str);
		void RemoveAChatLine();
		void ChatPosn(int x, int y);
		void ChatSetSize(int width, int height);

	private:
		Boolean isUp;
		sciText *text;
		sciText *chatLines[NUM_CHAT_LINES];
		int nextChatLine;
	};

#endif // _chat
