#ifndef _editbox
#define _editbox

#include "sciText.h"

class sciProp;

class EditBox : public sciText
	{
	public:
		EditBox();
		~EditBox();
		void DoLeftClick();
		Boolean HandleEvent(sciEvent &event);
		Boolean IsEnabled();
		void Posn(int posnX, int posnY);
		void Init();
		void SetMaxLength(int l);

	protected:
		void RenderText();
		void PositionCaret();

	private:
		Boolean isUp;
		Boolean enabled;
		Boolean mouseDown;
		sciProp *caret;
		int maxLength;
	};

#endif // _editbox
