#ifndef _msginternal
#define _msginternal

typedef enum _MSGINTERNAL
{
	MSGINTERNAL_NOTSET,
	MSGINTERNAL_CHECKSUM,
	MSGINTERNAL_PAUSE,
	MSGINTERNAL_UNPAUSE,
	MSGINTERNAL_QUITGAME

} MSGINTERNAL_TYPES;

class MsgInternal
{
public:
	MsgInternal(LPBYTE pjBinary);
	MsgInternal(UINT nPlayer, MSGINTERNAL_TYPES eType):meType(eType) { mnPlayer = nPlayer; initParms(); }
	~MsgInternal() 
	{
		deleteParms();
	}
	UINT nCreateBinary(BYTE *pBinaryCommand, UINT unSize);
	MSGINTERNAL_TYPES getType();

	void initParms();
	void deleteParms();

protected:
	MsgInternal() {}
	MSGINTERNAL_TYPES meType;
	int mnPlayer;

#define MAXPARMS 2

	int mnParms[MAXPARMS];
	LPBYTE mjParms[MAXPARMS];
};

#endif