#ifndef _scilist
#define _scilist

#include "sciobj.h"

class sciListNode : public sciObject
	{
	public:
		sciListNode();
		~sciListNode();
		sciListNode *nextNode;
		sciListNode *prevNode;
		sciObject *object;
	};

class sciList : public sciObject
	{
	public:
		sciList();
		~sciList();
		void AddToFront(sciObject *obj);
		void AddToBack(sciObject *obj);
		void AddAfter(sciObject *seekObject, sciObject *anObject);
		//void Set(int i, sciObject *obj);
		void Delete(sciObject *obj);
		int Size();
		Boolean IsEmpty();
		Boolean Contains(sciObject *obj);
		void Release();
		//sciObject *At(int i);

	protected:
		sciListNode *FindNode(sciObject *obj);

		sciListNode *frontNode;
		sciListNode *backNode;
		sciListNode *nextNode;
		int size;
	};

#endif // _scilist
