// STATUSLN.CPP -- The status line display for the interface
//
// TW


#include "statusln.h"
#include "sciplane.h"

void *StatusLine::mpoItemOnBar = NULL;

StatusLine::StatusLine() {
}

StatusLine::~StatusLine() {
}

void StatusLine::vAddToBar(void *poItem, char *str) {
	mpoItemOnBar = poItem;
	SetText(str);
	vSetSize();
	Show();
	assert(plane);
	plane->vMarkUpdate();
}

void StatusLine::vClearFromBar(void *poItem) {
	if (poItem == mpoItemOnBar) {
		mpoItemOnBar = NULL;
		Hide();
		assert(plane);
		plane->vMarkUpdate();
	}
}

void StatusLine::vClearBar()
{
	mpoItemOnBar = NULL;
	Hide();
	assert(plane);
	plane->vMarkUpdate();
}