#ifndef _gamesync
#define _gamesync

#define PLAYERS_MAX			32


#ifndef _INC_LIMITS
#include "limits.h"
#endif 

class GameSync
{
public:
	GameSync():mnPlayers(PLAYERS_MAX)
	{
		init();
	}

	~GameSync() {}

	BOOL IsValid(UINT unPlayer, int nTurn, int lChecksum);

	void SetPlayerCount(int nPlayers);

protected:
	void init();

	int mnTurn[PLAYERS_MAX];
	long mlChecksum[PLAYERS_MAX];

	// max turn to test
	int mnTurnMax;      

	// use this to reset mnTurnMax
	// (max turn submitted)
	int mnTurnMaxNew;	
	
	int mnPlayers;
};

#endif