#ifndef _HUMAN_H_
#define _HUMAN_H_

class NonPlayerClass;

class Human:public Unit
{
public:
	// OVERRIDES
	Template * vGetClanTemplate();
	vClan * vGetClan();
	BOOL vCanBeEnthralled();
	int GetUpgradeSight();
	int GetUpgradeAttack();
	int GetUpgradeDefend();
	int GetUpgradeSpeed();
	int GetUpgradeStealth();
	int GetUpgradeDetection();
	int GetUpgradeSpells();
	int GetUpgradeLevel();
	int GetAnxiety();
	void vIncreaseAnxiety(float nAmount);
	void vSetAnxiety(int nAmount);

	short vGetRelativeHealth(Player * poPlayer);
	void vUpdateRelativeHealth(Player * poPlayer);
	void vGameCycle();
	virtual void vFormAMobIfNecessary();
	virtual void vLeaveMobIfNecessary();
	BOOL vIsReadyToEnterMob();
	BOOL bIsHuman() { return TRUE; }


protected:
	Human(Player *poOwner, MapPlane *poPlane, MapNode *poNode, int nTemplateID);

	NonPlayerClass * mpoNpc;
	short mnRelativeHealth;
	int mnCyclesBeforeJoiningNewMob;
	float mfAnxiety;
	

};

#endif