//
// File:	PATH.h
// Desc:	Graphics Engine - Path functions.
// Author:	Jim Napier, Don Munsil
// Date:	4/1/97
//
// Copyright (c) 1997 by Sierra On-Line, Inc.
// All Rights Reserved.
//

#ifndef _PATH_
#define _PATH_

#include "mapnode.h"
#include "list.h"
#include "gamemap.h"

BOOL bFindPath(GameMap *poMap, MapNode *poStart, MapNode *poGoal, 
			  RefList<MapNode> *poOut, MapNode **ppoDest);

#endif