#include "os.h"
#include "sciactor.h"
#include "scimotn.h"

sciActor::sciActor()
	{
	mover = NULL;
	moveSpeed = 4;
	}

sciActor::~sciActor()
	{
	SetMotion(NULL);
	}

void sciActor::SetMotion(sciMotion *newMotion)
	{
	if (mover)
		{
		//mover->MotionDone();	// Do this???
		delete mover;
		}
	mover = newMotion;
	if (mover)
		mover->Init(this);
	}

void sciActor::Doit()
	{
	sciProp::Doit();
	if (mover)
		mover->Doit();
	}
