#ifndef _sciroom
#define _sciroom

#include "scievent.h"
//#include "scilist.h"
#include "list.h"

class sciPlane;
class sciScript;

class sciRoom : public sciObject
	{
	public:
		sciRoom();
		virtual ~sciRoom();
		virtual void Init();
		virtual Boolean HandleEvent(sciEvent &event);
		void SetScript(sciScript *newScript);
		virtual void Doit();
		void SetPic(int picNumber);
		void AddPlane(sciPlane *newPlane);
		void RemovePlane(sciPlane *newPlane);
		void SetModalPlane(sciPlane *plane);
		sciPlane *GetModalPlane();

		sciPlane *plane;
		sciScript *script;
		RefList<sciPlane> otherPlanes;

	protected:
		int picNumber;
		sciPlane *modalPlane;

	private:
	};


#endif //_sciroom
