// STATUS.H -- the status indicator for friendly or marked enemy vampires
//
// TW

#ifndef _status_
#define _status_

//#include "scimain.h"
#include "bitmap.h"
#include "scifeatr.h"

class Unit;
//class Bitmap;
class sciText;
class sciPlane;
class BarGraph;

class StatusIndicatorBG : public Bitmap
{
public:
	StatusIndicatorBG(WORD wNewWidth, WORD wNewHeight);
	void vRoundCorners();
};
	
class StatusIndicator : public sciFeature {
public:
	//StatusIndicator(); 
	void vSetup(Unit *poUnit, sciPlane *poPlane);
	~StatusIndicator();
	void vDraw(int nX, int nY);
	void vHide(); 
	void vShow();
	void vUpdateHealth(short nHealth); //update any changes if necessary
//	void vUpdateLevel(short nLevel);	//update any changes if necessary //not needed anymore
	short nDetectionLevel() {return mnDisplayLevel;}
	Boolean HandleEvent(sciEvent &oEvent); 
	
protected:
	void vFillHealth(short nHealth);
	BYTE jColor(BYTE jFull, BYTE jEmpty, short nHealth);
	Boolean	mbHidden;				//if T-will draw, if F-won't draw(peasants for example)
	Unit *mpoUnit;					//back pointer to Unit
	StatusIndicatorBG *mpoHealth;	//the colored background for display of "relative health"
	sciText *mpoLevel;				//the level display
	BarGraph *mpoGraph;				//the health/power bar graph
	Bitmap *mpoLevelI;				//the level display

private:
	short mnDisplayLevel;		//the 'level' that will be displayed when drawn
	short mnDisplayHealth;		//the 'relative  health' that will be displayed when drawn
	
	int mnXOffset;			//x offset from unit's origin point to draw
	int mnYOffset;			//y offset from unit's origin point to draw

};

#endif
