#include "os.h"

#ifdef OS_WINDOWS
#include <stdlib.h>
#include <time.h>
#endif // OS_WINDOWS

#ifdef THINK_CPLUS
//#include <string.h>
//#include <stdlib.h>
#endif							/* THINK_CPLUS */

#include "util.h"
#include "app.h"
#include "timer.h"
#include "scigame.h"
#include "random.h"
#include "window.h"
#include "game.h"
#include <stdio.h>
#include <stdarg.h>

extern HINSTANCE hInstance;

short random(short nLimit)
{
	assert(pApp);
	return (short)pApp->oLocalRandom.nGetRandom(nLimit);
}

short GlobalRand(short nLimit)
{
	assert(pApp);
	return (short)pApp->oGlobalRandom.nGetRandom(nLimit);
}

void DebugString(
				  LPCTSTR lpOutputString	// pointer to string to be
											// displayed
)
{
#ifdef _DEBUG
	OutputDebugString(lpOutputString);
#endif // _DEBUG
}

void SetMainMenu(WORD menu) {
	HMENU old;

	old = GetMenu(pApp->pWindow->hWnd);
	SetMenu(pApp->pWindow->hWnd, LoadMenu(hInstance, MAKEINTRESOURCE(menu)));
	if (old)
		DestroyMenu(old);
}

void MonoOut(char *str, int i) {
#ifdef _DEBUG
	char ach[128];
	int len;
	 memset(ach, ' ', 128);
	 len = wsprintf(ach, str, i);
	// TextOut(pApp->pWindow->hDC, 0, 0, ach, len);
	 DebugString(ach);
	 DebugString("\n");
#endif

}

void MonoOut(char *str, int i, int j) {
#ifdef _DEBUG
	char ach[128];
	int len;
	 memset(ach, ' ', 128);
	 len = wsprintf(ach, str, i, j);
	// TextOut(pApp->pWindow->hDC, 0, 0, ach, len);
	 DebugString(ach);
	 DebugString("\n");
#endif
}

#ifdef _DEBUG
void vDebugOut(char *lpszFormat,...) {
	va_list args;
	va_start(args, lpszFormat);

	int nBuf;
	char szBuffer[512];

	nBuf = vsprintf(szBuffer, lpszFormat, args);
	assert(nBuf < 512);

	DebugString(szBuffer);

	va_end(args);
}
#endif //_DEBUG

